Package: org.codehaus.groovy.control

## [Java] Class ClassNodeResolver.LookupResult

- org.codehaus.groovy.control.ClassNodeResolver.LookupResult

-     public static class ClassNodeResolver.LookupResult
      extends Object

  Helper class to return either a SourceUnit or ClassNode.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LookupResult(SourceUnit su, ClassNode cn)` creates a new LookupResult.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `getClassNode()` returns the ClassNode
    `` | `public SourceUnit` | `getSourceUnit()` returns the SourceUnit
    `` | `public boolean` | `isClassNode()` returns true if a ClassNode is stored
    `` | `public boolean` | `isSourceUnit()` returns true if a SourceUnit is stored

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public LookupResult(SourceUnit su, ClassNode cn)

      creates a new LookupResult. You are not supposed to supply a SourceUnit and a ClassNode at the same time

  - ### Method Detail

    - #### public ClassNode getClassNode()

      returns the ClassNode

    - #### public SourceUnit getSourceUnit()

      returns the SourceUnit

    - #### public boolean isClassNode()

      returns true if a ClassNode is stored

    - #### public boolean isSourceUnit()

      returns true if a SourceUnit is stored